Bug 988151 - Configuring Multiple Storage Backends: LVM parameter specified for NFS driver
Configuring Multiple Storage Backends: LVM parameter specified for NFS driver
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide (Show other bugs)
4.0
Unspecified Unspecified
unspecified Severity unspecified
: async
: 3.0
Assigned To: Stephen Gordon
ecs-bugs
: Documentation, ZStream
Depends On:
Blocks: 1011085
  Show dependency treegraph
 
Reported: 2013-07-24 17:17 EDT by Eric Harney
Modified: 2014-01-05 23:25 EST (History)
4 users (show)

See Also:
Fixed In Version: Red_Hat_OpenStack-Installation_and_Configuration_Guide-3-en-US-3-32
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-05 23:25:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Harney 2013-07-24 17:17:53 EDT
Document URL: https://access.redhat.com/site/documentation/en-US/Red_Hat_OpenStack/3/html/Installation_and_Configuration_Guide/Configuring_for_Multiple_Storage_Backends.html

Section Number and Name: 
Section 8.4.5
Example 8.1. Multiple Backend Configuration

Describe the issue: 
Reads

[cinder-volumes-3-driver]
volume_group=cinder-volumes-1
volume_driver=cinder.volume.drivers.nfs.NfsDriver
volume_backend_name=NFS

Suggestions for improvement: 
The volume_group setting is not applicable for the NFS driver.  Specifying nfs_shares_config instead would make sense, as is demonstrated in "8.4.3. Configuring for NFS Storage Backend".
Comment 2 Stephen Gordon 2013-08-06 10:26:38 EDT
"Configuring for Multiple Storage Backends" - ID: 17079 [rev: 492834]
Comment 3 Stephen Gordon 2013-08-06 13:47:35 EDT
"Configuring for Multiple Storage Backends" - ID: 17079 [rev: 492895]

Note You need to log in before you can comment on or make changes to this bug.